Subject: Alt-Svc header for proxies

From: Tarun Bansal <[email-masked]>
Date: Thu, 07 Apr 2016 20:28:20 +0000

Hi,

Is there an existing mechanism for a proxy to advertise alt services? I am
thinking of a situation where the browser is configured to use
proxy.example.com for all requests. This proxy supports an alternate
service (the origin servers may or may not support any alt service).

My understanding is that the existing Alt-Svc header is reserved for
origins, and can't be used by proxies. In that case, is introducing a new
header for proxies the only option?

Thanks!
Tarun